parameters:
  subnets:
    PROD-subnet-prod-private-b:
      id: subnet-***
      cidr: **.**.**.**/**
    PRA-subnet-pra-public-b:
      id: subnet-***
      cidr: **.**.**.**/**
    PRA-subnet-pra-private-b:
      id: subnet-***
      cidr: **.**.**.**/**
    PROD-subnet-prod-public-a:
      id: subnet-***
      cidr: **.**.**.**/**
    PROD-subnet-prod-public-b:
      id: subnet-***
      cidr: **.**.**.**/**
    PRA-subnet-pra-private-a:
      id: subnet-***
      cidr: **.**.**.**/**
    PRA-subnet-pra-public-a:
      id: subnet-***
      cidr: **.**.**.**/**
    PROD-subnet-prod-private-a:
      id: subnet-***
      cidr: 10.79.0.128/26
  securityGroups:
    PRA-AWS Elastic Disaster Recovery default Replication Server Security Group: sg-***
    PROD-internet_sg: sg-***
    PROD-dc_sg: sg-***
    PRA-AWS Elastic Disaster Recovery default Conversion Server Security Group: sg-***
    PRA-default: sg-***
    PROD-global_sg: sg-***
    PROD-default: sg-***
  tags:
    - Key: env
      Value: prod
launchTemplates:
  default_template:
    documentation: https://boto3.amazonaws.com/v1/documentation/api/latest/reference/services/ec2/client/create_launch_template_version.html#
    Ignore: bool
    KernelId: string
    EbsOptimized: bool
    IamInstanceProfile:
      Arn: string
      Name: string
    BlockDeviceMappings:
      - DeviceName: string
        VirtualName: string
        Ebs:
          Encrypted: bool
          DeleteOnTermination: bool
          Iops: 123
          KmsKeyId: string
          SnapshotId: string
          VolumeSize: 123
          VolumeType: '''standard'' | ''io1'' | ''io2'' | ''gp2'' | ''sc1'' | ''st1''
          | ''gp3'''
          Throughput: 123
        NoDevice: string
    NetworkInterfaces:
      - AssociateCarrierIpAddress: bool
        AssociatePublicIpAddress: bool
        DeleteOnTermination: bool
        Description: string
        DeviceIndex: 123
        Groups:
          - string
        InterfaceType: string
        Ipv6AddressCount: 123
        Ipv6Addresses:
          - Ipv6Address: string
        NetworkInterfaceId: string
        PrivateIpAddress: string
        PrivateIpAddresses:
          - Primary: bool
            PrivateIpAddress: string
        SecondaryPrivateIpAddressCount: 123
        SubnetId: string
        NetworkCardIndex: 123
        Ipv4Prefixes:
          - Ipv4Prefix: string
        Ipv4PrefixCount: 123
        Ipv6Prefixes:
          - Ipv6Prefix: string
        Ipv6PrefixCount: 123
    ImageId: string
    InstanceType: INSTANCE_VALUES (SEE DOCUMENTATION)
    KeyName: string
    Monitoring:
      Enabled: bool
    Placement:
      AvailabilityZone: string
      Affinity: string
      GroupName: string
      HostId: string
      Tenancy: '''default'' | ''dedicated'' | ''host'''
      SpreadDomain: string
      HostResourceGroupArn: string
      PartitionNumber: 123
      GroupId: string
    RamDiskId: string
    DisableApiTermination: bool
    InstanceInitiatedShutdownBehavior: '''stop'' | ''terminate'''
    UserData: string
    TagSpecifications:
      - ResourceType: RESOURCE_TYPE (SEE DOCUMENTATION)
        Tags:
          - Key: string
            Value: string
    ElasticGpuSpecifications:
      - Type: string
    ElasticInferenceAccelerators:
      - Type: string
        Count: 123
    SecurityGroupIds:
      - string
    SecurityGroups:
      - string
    InstanceMarketOptions:
      MarketType: spot
      SpotOptions:
        MaxPrice: string
        SpotInstanceType: '''one-time'' | ''persistent'''
        BlockDurationMinutes: 123
        ValidUntil: datetime(2015, 1, 1)
        InstanceInterruptionBehavior: '''hibernate'' | ''stop'' | ''terminate'''
    CreditSpecification:
      CpuCredits: string
    CpuOptions:
      CoreCount: 123
      ThreadsPerCore: 123
      AmdSevSnp: '''enabled'' | ''disabled'''
    CapacityReservationSpecification:
      CapacityReservationPreference: '''open'' | ''none'''
      CapacityReservationTarget:
        CapacityReservationId: string
        CapacityReservationResourceGroupArn: string
    LicenseSpecifications:
      - LicenseConfigurationArn: string
    HibernationOptions:
      Configured: bool
    MetadataOptions:
      HttpTokens: '''optional'' | ''required'''
      HttpPutResponseHopLimit: 123
      HttpEndpoint: '''disabled'' | ''enabled'''
      HttpProtocolIpv6: '''disabled'' | ''enabled'''
      InstanceMetadataTags: '''disabled'' | ''enabled'''
    EnclaveOptions:
      Enabled: bool
    InstanceRequirements:
      VCpuCount:
        Min: 123
        Max: 123
      MemoryMiB:
        Min: 123
        Max: 123
      CpuManufacturers:
        - '''intel'' | ''amd'' | ''amazon-web-services'''
      MemoryGiBPerVCpu:
        Min: 123.0
        Max: 123.0
      ExcludedInstanceTypes:
        - string
      InstanceGenerations:
        - '''current'' | ''previous'''
      SpotMaxPricePercentageOverLowestPrice: 123
      OnDemandMaxPricePercentageOverLowestPrice: 123
      BareMetal: '''included'' | ''required'' | ''excluded'''
      BurstablePerformance: '''included'' | ''required'' | ''excluded'''
      RequireHibernateSupport: bool
      NetworkInterfaceCount:
        Min: 123
        Max: 123
      LocalStorage: ' ''included'' | ''required'' | ''excluded'''
      LocalStorageTypes:
        - ' ''hdd'' | ''ssd'''
      TotalLocalStorageGB:
        Min: 123.0
        Max: 123.0
      BaselineEbsBandwidthMbps:
        Min: 123
        Max: 123
      AcceleratorTypes:
        - ' ''gpu'' | ''fpga'' | ''inference'''
      AcceleratorCount:
        Min: 123
        Max: 123
      AcceleratorManufacturers:
        - '''nvidia'' | ''amd'' | ''amazon-web-services'' | ''xilinx'''
      AcceleratorNames:
        - '''a100'' | ''v100'' | ''k80'' | ''t4'' | ''m60'' | ''radeon-pro-v520'' |
        ''vu9p'' | ''inferentia'' | ''k520'''
      AcceleratorTotalMemoryMiB:
        Min: 123
        Max: 123
      NetworkBandwidthGbps:
        Min: 123.0
        Max: 123.0
      AllowedInstanceTypes:
        - string
    PrivateDnsNameOptions:
      HostnameType: '''ip-name'' | ''resource-name'''
      EnableResourceNameDnsARecord: bool
      EnableResourceNameDnsAAAARecord: bool
    MaintenanceOptions:
      AutoRecovery: '''default'' | ''disabled'''
    DisableApiStop: bool
  FRMAL-INFR-ADM:
    ignore: True
    ip: CREATE NEW
    subnet: MAL PROD-subnet-mal-prod-private-a
    securityGroups:
    - MAL PROD-global_sg
    instanceType: c5.xlarge
    publicIPAction: false
    deleteOnTerminationInterface: true
    iamInstanceRole: PROD
    disks:
      c:0:
        type: GP3
        size: 200
        iops: 3000
        throughput: 150
    tags:
    - Key: env
      Value: prod

